#include <stdio.h>
#include <stdlib.h>
#include "mpi.h"

#define MAXTAM 20000000
#define BASE     915000

int main(int argc,char** argv)
{
 unsigned long int i;
 int * vet;
 int cont;
 double inittime,totaltime;

 vet = calloc (MAXTAM,sizeof(int));
 cont = 0;

 MPI_Init(&argc,&argv);

 inittime = MPI_Wtime();

 for (i=0; i<MAXTAM; i++)
 {
  if ((i%BASE)==0)
   {
    vet[i] = 1;
    cont ++;
   }
 }

 totaltime = MPI_Wtime() - inittime;

 printf ("Tempo final de execucao = %f\n", totaltime);
 printf ("Foram encontrados %d multiplos de %u\n", cont, BASE);
 for (i=0; i< MAXTAM; i++)
 {
  if (vet[i] == 1)
    {
     printf ("%u eh multiplo\n", i);
    } 
 }
 
 MPI_Finalize();
 return 0;
}

