#include<stdio.h>
#include<mpi.h>

int main(int argc, char **argv)
{
  int rank, size;
  int recebe,value, i;
  MPI_Status status;
  double init, end;

  MPI_Init(&argc, &argv);
  MPI_Comm_rank(MPI_COMM_WORLD, &rank);
  MPI_Comm_size(MPI_COMM_WORLD, &size);

  printf("Hello World, I`m process %d of %d\n", rank, size);
 
  if(rank == 0)
  {
   init = MPI_Wtime();
    for(i=1; i<size; i++)
     {
      value = i*10;
      MPI_Send(&value, 1, MPI_INT, i, 0, MPI_COMM_WORLD);
     }
   end = MPI_Wtime();
   printf("time to send to all process = %f\n", (end-init));
  }else
  {
    MPI_Recv(&recebe, 1, MPI_INT, 0, 0, MPI_COMM_WORLD, &status);
    printf("process %d: value received of process 0 = %d\n", rank, recebe
);
  }
  
  MPI_Finalize();
}
