#include "mpi.h"
#include <stdio.h>
int main(int argc, char **argv) {
int sendbuffer, *recvbuffer;
int rank, size, i;

MPI_Init(&argc, &argv);
MPI_Comm_rank(MPI_COMM_WORLD, &rank);
MPI_Comm_size(MPI_COMM_WORLD, &size);

recvbuffer = (int *)malloc(size*sizeof(int));

sendbuffer = rank*size;
printf ("Im %d: my value is %d\n", rank, sendbuffer); 

MPI_Gather(&sendbuffer, 1, MPI_INT, recvbuffer, 1, MPI_INT, 0, MPI_COMM_WORLD);

if(rank == 0)
{
  printf("Im %d: received results: ", rank);	
  for(i=0; i<size; i++)
     printf("(%d)", recvbuffer[i]);
  printf("\n");
}  
  
MPI_Finalize();
return 0;
}

